Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.sampler
Class Receiver

    java.lang.Object
      org.apache.jmeter.protocol.jms.sampler.Receiver

All Implemented Interfaces:
  Runnable

    public class Receiver

extends Object
implements Runnable

Receiver of pseudo-synchronous reply messages.

Method Summary
`static Receiver` | `createReceiver(javax.jms.ConnectionFactory factory, javax.jms.Destination receiveQueue, String principal, String credentials, boolean useResMsgIdAsCorrelId)` Create a receiver to process responses.
`void` | `deactivate()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createReceiver

    public static Receiver createReceiver(javax.jms.ConnectionFactory factory,
                                          javax.jms.Destination receiveQueue,
                                          String principal,
                                          String credentials,
                                          boolean useResMsgIdAsCorrelId)
                                   throws javax.jms.JMSException

  Create a receiver to process responses.

  Parameters:
    `factory` -
    `receiveQueue` -
    `principal` -
    `credentials` -
    `useResMsgIdAsCorrelId` - true if should use JMSMessageId, false if should use JMSCorrelationId
  Returns:
    the Receiver which will process the responses
  Throws:
    `javax.jms.JMSException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### deactivate

    public void deactivate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.